I tried to install the popup-dialog for react-native, but I got an error


    npm ERR! path C:\Users\Zarzu Victor\Application\node_modules\react-native-safe-ar
    ea-view
    npm ERR! code EISGIT
    npm ERR! git C:\Users\Zarzu Victor\Application\node_modules\react-native-safe-are
    a-view: Appears to be a git repo or submodule.
    npm ERR! git     C:\Users\Zarzu Victor\Application\node_modules\react-native-safe
    -area-view
    npm ERR! git Refusing to remove it. Update manually,
    npm ERR! git or move it out of the way first.

    npm ERR! A complete log of this run can be found in:
    npm ERR!     C:\Users\Zarzu Victor\AppData\Roaming\npm-cache\_logs\2019-05-12T10_
    50_31_386Z-debug.log

1 Answers

1
Mazino S Ukah On

This issue usually happens sometimes, as a temporary fix, follow these steps:

1) delete the this folder in the node_modules directory

C:\Users\Zarzu Victor\Application\node_modules\react-native-safe
    -area-view

2) Install the package you are trying to add again.

npm i popup-dialog --save

That should solve the problem. hope it helps :)